Bug 104322 - Formulas in tables in Writer not (directly) updating when referred cells are changed
Summary: Formulas in tables in Writer not (directly) updating when referred cells are ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables Writer-Tables-Formulas
  Show dependency treegraph
 
Reported: 2016-12-01 14:16 UTC by Butch
Modified: 2021-01-16 10:14 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example (9.76 KB, application/vnd.oasis.opendocument.text)
2016-12-01 14:16 UTC, Butch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Butch 2016-12-01 14:16:10 UTC
Created attachment 129185 [details]
Example

If a value in a table cell is deleted, leaving the cell (by tab or arrow key) does not result in actualizing the value in another cell calculated by a formula.
Comment 1 Telesto 2016-12-01 15:13:14 UTC
Thank you for reporting the bug. In can't reproduce the issue with:
Version: 5.4.0.0.alpha0+
Build ID: 4130c8def811d1dcc87eacaa8ae48ba02738a790
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-11-29_01:03:18
Locale: nl-NL (nl_NL); Calc: CL
Comment 2 Butch 2016-12-01 15:22:22 UTC
Really?
My version is:
Version: 5.2.1.2
Build-ID: 31dd62db80d4e60af04904455ec9c9219178d620
CPU-Threads: 4; BS-Version: Windows 6.2; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group
Windows 10
Comment 3 Butch 2016-12-01 15:46:42 UTC
Also after update to Version: 5.2.3.3
(Note: I am using portable Versions.)
Comment 4 V Stuart Foote 2016-12-01 20:57:26 UTC
Not clear this is a bug--you've deleted the numerical value making the function in cell D2 invalid--and it simply does not update.

If you position to cell D2 and open the formula dialog with F2, apply -- the value will refresh, in this case to 0. I.e. <null> in B2 * 6 in C2. Go back to table cell B2 and enter a 4--valid number, so the formula in D2 updates.
Comment 5 Butch 2016-12-02 06:33:19 UTC
@V Stuart Foote: Of course. 
But this behavior cannot be considered as desired. Deleting a value in a cell should show effect in the same way as changing the value, i.e. immediately after leaving the cell.
Comment 6 Buovjaga 2016-12-14 13:31:52 UTC
NEW per Mike Kaganski's recommendation on IRC.
Comment 7 Cor Nouws 2017-01-16 21:29:14 UTC
Another example:

2 columns, 4 rows
numbers in B1,B2,B3
B4: Sum<B1:B3>
Delete number in B2

wait until function updates, or type number in A1 or so..

NB Deleting Row B does update the function immediately
Comment 8 QA Administrators 2018-01-17 03:29:41 UTC Comment hidden (obsolete)
Comment 9 Patrick Smits 2018-01-17 13:53:06 UTC
I can still reproduce it with

Version: 5.4.3.2 (x64)
Build ID: 92a7159f7e4af62137622921e809f8546db437e5
CPU threads: 4; OS: Windows 6.19; UI render: default; 
Locale: nl-NL (nl_NL); Calc: group

There is something weird about this bug though. The first time I change or delete a value, the formula takes some time to update. All following updates happen immediately though.
Comment 10 Butch 2018-01-17 15:35:34 UTC
Still present.

Version: 5.4.4.2
Build-ID: 2524958677847fb3bb44820e40380acbe820f960
CPU-Threads: 4; BS: Windows 6.19; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group
Comment 11 QA Administrators 2021-01-16 04:16:19 UTC
Dear Butch,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug